Skip to navigation

Deactivate Person

Requires the manage_users permission.

Authentication

AuthorizationBearer

An organization API key (mfw_org_key_...), sent as Authorization: Bearer <key>. Create one under Settings → API keys.

Path parameters

person_idstringRequiredformat: "uuid"

Response

Successful Response
idstringformat: "uuid"
namestring
emailstring
roleenum
Allowed values:
statusenum
Allowed values:
sourceenum
Allowed values:
last_login_atdatetime or null
created_atdatetime
deactivated_atdatetime or null
role_kindenum
Allowed values:
groupslist of objects
managed_groupslist of objects
access_revoked_atdatetime or null
access_revoked_by_person_idstring or nullformat: "uuid"
mfa_enabledboolean

Errors

422
Unprocessable Entity Error